[Solved]Gnome-Weather in Debian Testing?

Everything about X, Gnome, KDE, ... and everything running on it

[Solved]Gnome-Weather in Debian Testing?

Postby fabrixx » 2014-10-26 17:06

Why Gnome-Weather is not in Debian Testing?

In Gnome 3.14 i read:
gnome-weather 3.14.1 in gray=Not in Debian

If i try to compile from sources:
http://ftp.gnome.org/pub/GNOME/sources/ ... 4/?C=M;O=D

Have several dependences issues.

There is also a gnome shell weather extension but is another thing.
Last edited by fabrixx on 2014-11-23 20:50, edited 2 times in total.
User avatar
fabrixx
 
Posts: 170
Joined: 2009-12-14 23:00

Re: Gnome-Weather in Debian Testing?

Postby exploder » 2014-10-28 00:32

I am hoping Gnome Weather will make it into the repos too. I like the app and the latest version looks pretty slick. We will just have to wait and see.
exploder
 
Posts: 80
Joined: 2011-01-08 13:53

Re: Gnome-Weather in Debian Testing?

Postby krissel » 2014-11-05 09:15

Hi,

i've tried to compile it from source myself. installing

Code: Select all
libgjs-dev libgweather-3-dev libgtk-3-dev


should solve all dependency issues!
gnome-weather looks great, but i found that the list of available locations is awkward.
e.g. cologne isn't available in germany, but several rather small cities are. It's not really useful as it is.

regards, Christoph
krissel
 
Posts: 2
Joined: 2014-11-05 09:08

Re: Gnome-Weather in Debian Testing?

Postby fabrixx » 2014-11-22 21:19

Thanks krissel.
Whith that dependences this time i've compiled with no errors.

I prefer meteo shell extension...
User avatar
fabrixx
 
Posts: 170
Joined: 2009-12-14 23:00

Re: gnome-weather not in Jessie over legal issue

Postby Aeyoun » 2014-11-26 22:16

The package gnome-weather is held back due to licensing incompatibilities with Debian.
Aeyoun
 
Posts: 5
Joined: 2014-06-13 19:20

Re: [Solved]Gnome-Weather in Debian Testing?

Postby shanga » 2014-12-11 10:58

So, "solved" means that we should not expect the gnome-weather in future Debian releases? Don't you think this is too much? Most people still use non-free software, and do not care about that. I'm a bit disappointed...
shanga
 
Posts: 4
Joined: 2014-12-07 11:05

Re: [Solved]Gnome-Weather in Debian Testing?

Postby Head_on_a_Stick » 2014-12-11 15:05

shanga wrote:So, "solved" means that we should not expect the gnome-weather in future Debian releases? Don't you think this is too much? Most people still use non-free software, and do not care about that. I'm a bit disappointed...

No, "[SOLVED]" means this thread tells users how they can compile gnome-weather themselves -- I've just done it and it took about a minute...
I don't think this is too much.

I applaud Debian for sticking to their principles in respect of images with incompatible licensing.
Black Lives Matter

Debian buster-backports ISO image: for new hardware support
User avatar
Head_on_a_Stick
 
Posts: 12777
Joined: 2014-06-01 17:46
Location: /dev/chair

Re: [Solved]Gnome-Weather in Debian Testing?

Postby LanManT » 2015-03-16 17:08

Thanks, I like it and installed from source on debian 8 64bit just fine.
User avatar
LanManT
 
Posts: 15
Joined: 2013-08-26 01:59
Location: Chicago, Illinois

Re: [Solved]Gnome-Weather in Debian Testing?

Postby mor » 2015-06-11 08:00

It just entered Unstable, it is a matter of days for Testing:
https://packages.qa.debian.org/g/gnome- ... 0021Z.html

Doesn't look like much if you ask me.

Bye
User avatar
mor
 
Posts: 970
Joined: 2010-08-28 15:16
Location: mor@debian

Re: [Solved]Gnome-Weather in Debian Testing?

Postby gengiskanhg » 2015-09-25 15:40

Trying to use: gnome-weather-3.14.1 given above...

$ ./configure
...checking for gobject-introspection... configure: error: You need to have gobject-introspection >= 1.35.9 installed to build org.gnome.Weather

:?

Trying to install: gobject-introspection-1.35.9

./configure
configure: error: Package requirements (glib-2.0 >= 2.35.9) were not met:
Requested 'glib-2.0 >= 2.35.9' but version of GLib is 2.32.4

:(


Trying to install: glib-2.44.1
make[4]: Entering directory `/home/gengis/Downloads/glib-2.44.1/glib'
CC libglib_2_0_la-gregex.lo
gregex.c: In function 'g_regex_get_max_lookbehind':
gregex.c:1541:18: error: 'PCRE_INFO_MAXLOOKBEHIND' undeclared (first use in this function)
gregex.c:1541:18: note: each undeclared identifier is reported only once for each function it appears in
make[4]: *** [libglib_2_0_la-gregex.lo] Error 1

:twisted:


It is a matter of recursive headache, no easy way to install something preinstalled in past distros.. I just need weather and locations info (date, time, weather, etc)... :-S

$ uname --all
Linux XXXX 3.2.0-4-amd64 #1 SMP Debian 3.2.68-1+deb7u4 x86_64 GNU/Linux
gengiskanhg
 
Posts: 5
Joined: 2015-09-25 14:30


Return to Desktop & Multimedia

Who is online

Users browsing this forum: No registered users and 16 guests

fashionable